
gen rentspc=totalrents/pop
gen lrentspc=ln(1+rentspc)

corr  xrcomp parcomp xconst xropen parreg
gen maxxrreg=0 if xrreg~=.
replace maxxrreg=1 if xrreg==3

gen maxxrcomp=0 if regime~=.
replace maxxrcomp=1 if xrcomp==3

gen maxparcomp=0 if regime~=.
replace maxparcomp=1 if parcomp==5

gen maxxconst=0 if regime~=.
replace maxxconst=1 if xconst==7

gen maxxropen=0 if regime~=.
replace maxxropen=1 if xropen==4

gen maxparreg=0 if regime~=.
replace maxparreg=1 if parreg==5

gen demdum=0 if regime~=.
replace demdum=1 if regime>=16 & demdum~=.

/* Table 1: Overview*/
oprobit   briskexprop lgdppc dgdp regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
oprobit   briskexprop lgdppc dgdp regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if briskexprop<6,r
oprobit   briskexprop lgdppc dgdp regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if oecd==0,r
oprobit   briskexprop lgdppc dgdp lrents regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
oprobit   briskexprop lgdppc dgdp reg europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r

probit reg lgdppc stra oil

capture drop hat
capture drop invmills
predict hat if e(sample), xb
gen invmills = exp(-.5*hat^2)/(sqrt(2*_pi)*normprob(hat))

oprobit   briskexprop lgdppc dgdp reg invmills europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r

/* Table 2: Checks */
oprobit   briskexprop lgdppc dgdp regime polconiii europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
oprobit   briskexprop lgdppc dgdp regime checks europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r


/* Table 3: Decomposing Polity */

oprobit   briskexprop lgdppc dgdp xrcomp xropen xconst parreg parcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r



oprobit   briskexprop lgdppc dgdp   xrcomp xropen xconst parreg parcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
oprobit   briskexprop lgdppc dgdp  xrcomp xropen xconst parreg parcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if briskexprop<6,r
oprobit   briskexprop lgdppc dgdp   xrcomp xropen xconst parreg parcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if oecd==0,r
oprobit   briskexprop lgdppc dgdp lrents xrcomp xropen xconst parreg parcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r

oprobit   briskexprop lgdppc dgdp  maxxrcomp maxxropen maxxconst maxparcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
oprobit   briskexprop lgdppc dgdp  maxxrcomp maxxropen maxxconst maxparcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if briskexprop<6,r
oprobit   briskexprop lgdppc dgdp  maxxrcomp maxxropen maxxconst maxparcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if oecd==0,r
oprobit   briskexprop lgdppc dgdp lrents  maxxrcomp maxxropen maxxconst maxparcomp europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r

/* Figure 1 */
graph bar regime lgdppc, over(briskexprop)

/* Predicted Probabilities */

oprobit   briskexprop lgdppc dgdp invmills reg latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
estsimp oprobit briskexprop lgdppc dgdp invmills reg latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania, r sims(1000)
setx mean
simqi, fd(pr) changex(reg min max)
graph twoway lfitci briskexprop reg 
/***************************************/

oprobit   briskexprop lgdppc dgdp lrents regime checks europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
oprobit   briskexprop lgdppc dgdp lrents regime polconiii europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r

oprobit   briskexprop lgdppc dgdp rentspc regime latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
estsimp oprobit briskexprop lgdppc dgdp rentspc regime latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania, r sims(1000)
setx mean
simqi, fd(pr) changex(regime mean max)
simqi, fd(pr) changex(regime min mean)
graph twoway lfitci briskexprop regime 

sum briskexprop lgdppc dgdp regime lrentspc polconii
oprobit   briskexprop lgdppc dgdp regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
oprobit   briskexprop lgdppc dgdp regime polconiii europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
oprobit   briskexprop lgdppc dgdp lrentspc regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r

oprobit   briskexprop lgdppc dgdp regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if oecd==0,r
oprobit   briskexprop lgdppc dgdp regime polconiii europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if oecd==0,r
oprobit   briskexprop lgdppc dgdp lrentspc regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania if oecd==0,r

oprobit   briskexprop lgdppc dgdp regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r
estsimp oprobit briskexprop lgdppc dgdp regime europe latinamericaandcarribean subsaharanafrica northafricamiddleeast eefsu asia oceania,r sims(1000)
setx mean
simqi, fd(pr) changex(regime mean max)
simqi, fd(pr) changex(regime min mean)
